FROM debian:bullseye-slim

# last line is dependencies for weasyprint (for generating pdfs in lafede pilot) https://doc.courtbouillon.org/weasyprint/stable/first_steps.html#debian-11
RUN apt update &&  apt-get install -y \
    python3-minimal \
    python3-pip \
    python3-dev \
    python-is-python3 \
    git \
    sqlite3 \
    jq \
    python3-pip python3-cffi python3-brotli libpango-1.0-0 libpangoft2-1.0-0

WORKDIR /opt/idhub

RUN python3 -m pip install --upgrade pip

COPY IdHub/requirements.txt /
RUN pip install -r /requirements.txt

COPY docker/idhub.entrypoint.sh /
ENTRYPOINT sh /idhub.entrypoint.sh
